Bug 802096 - MBR should be backed up before an update
MBR should be backed up before an update
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-10 23:07 EST by Leslie Satenstein
Modified: 2012-03-27 23:36 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 16:50:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leslie Satenstein 2012-03-10 23:07:36 EST
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Leslie Satenstein 2012-03-10 23:14:46 EST
I have a 2 drive system, 
I revised the bios to boot from B, and installed our favorite distribution. 

But due to bios order (IDE drives), it went and installed the grub mbr on A, which was my Windows XP system.  There was no chainloader option creeated with Grub2.

Now I did not have the windows xp cd in front of me for recovery, so I landed in trouble, as MS requires a XP boot cd and also the administrator name in use at time of xp installation. 

The bios had the rule "boot from B", but the installer went ahead and installed on A. 

With IDE drives, I guess that my B drive was the slave and therefore it put the boot on A.  It may have also been my fault.   (In reply to comment #0)
> Description of problem:
> Had to search for supergrub cd image (from France) to recreate XP MBR
> 
> Version-Release number of selected component (if applicable):
> 
All
> 
> How reproducible:
Use Older Pentium PC with older bios and IDE drives
> 
> Steps to Reproduce:
> 1.
> 2.
> 3.
> 
> Actual results:
> 
> 
> Expected results:
> 
> 
> Additional info:

Can we recommend a convenience update to anaconda and grub2 to backup the mbr prior to an overwrite? 

Allow a program on /boot or /usr/sbin  to allow restoring the MBR that was overwritten.
Comment 2 Leslie Satenstein 2012-03-11 17:20:22 EDT
Supergrub cd from year 2009 had a copy of the xp mbr. I recovered gracefully and successfully redid the installation after uplugging the xp drive.
Comment 3 Chris Lumens 2012-03-27 16:50:06 EDT
For the few people that care enough to do this, it's easy enough for them to do it on their own.  For most everyone else, it's just extra complication, a file that has no explanation, and yet another place in the upgrade process where something can go wrong.
Comment 4 Leslie Satenstein 2012-03-27 23:36:01 EDT
From a Linux Guru perspective, who would ever think to uninstall Fedora, or discover that they installed Fedora on the wrong drive. Why would they want to restore the previous mbr. Therefore, as was the response, it makes no sense to create a backup mbr copy.   

I recognize that a second installation over the first successful one would now backup the replaced grub2 mbr. 

But as new Linux users have told me, they find merit in creating an mbr backup, as they were not familiar with anaconda or Fedora. Tough, don't make mistakes, was my feedback, and I told them that if you use XP, your mbr is not the same as a Vista or Windows 7 version. 

I guess the documentation to take a proper backup as mentioned in the guide should include mention to backup the MBR.

Thanks

Note You need to log in before you can comment on or make changes to this bug.